# Changelog

##[1.5.0] - 2020-06-02
- Not Compatable with v1.4.* and older versions. please refer latest version of API Referance Sample Codes and README.md

## Below are the Major Changes
1) Version number got changed

2) fully qualified class paths are changed

3) constructor for InvocationContext

	old : $invocation_context = new InvocationContext($idempotentRequestKey, $clientSignatureKey, Attributes $attributes);

	new : $invocation_context = new InvocationContext($secretKey, $idempotent_request_key, $x_opay_headers);

4) InvocationMode renamed to liveMode :

	old :   InvocationMode : enum with values  : LIVE , SAND_BOX, TEST
	new :   liveMode : String with values : "false", "true"

5) Removed x_opay_header utilities : Attribute and Attributes 

6)Customer :

	old : withLocale($language = null, $country = null)
	new : withLocale($locale)

7)Removed add method in customer_accounts : construction of customer_accounts should be different from now onwards

	old : 
		$customerAccounts = new CustomerAccounts();
		$customerAccounts.add(customerAccount); 

	new :
		$customerAccounts = new CustomerAccounts();
		$custAcctsArray = array();
		$custAcctsArray[] = $customerAccount;
		$customerAccounts->setList($custAcctsArray);

8) Payments, PaymentSetups, Refunds :

	old : id_customer query param accepted as as part of filterMap 

	new : forCustomer($id_customer) : method to capture id_customer query param

9) Removed all the enums

10) OrbipayApiException :

	$response_codes array removed
	getdebugsummery() method removed
	isTimedOut variable added to represent timeout scenarios
	$http_response_code renamed to $http_status_code
	$errors	array removed and added $error_response which holds the response payload



##[1.4.0] - 2020-03-05
### Added
- Simple Payment API
- Renewal Customer Account API
- Get Refund API
- Retrieve Refund API
- AuditInfo segment added in all resources
- payment_network_response added payment, payment Setup and Refund resources
- address_city attribute length enhanced from 20 characters to 50 characters
- customer account account_number regx enhanced with space and single quote


##[1.3.3] - 2020-02-19
# Fixed
- Made attributes optional in the InvocationContext.


##[1.3.2] - 2020-02-19
# Enhancement
- Customer account number enhanced to accept space and single quote as part of its regex


##[1.3.1] - 2020-02-06
### Fixed
- removed custom fields validation


##[1.3.0] - 2020-01-28
### Added
- Replace Funding Account API
- Update Payment Setup API
- registered_email attribute to Customer Resource
- customer_reference attribute in Payment and Payment Setup resource under customer object 


## [1.2.1] - 2019-12-24
### Fixed
- Now sending 'status', 'customer_accounts[n].status' values to the server in the 'Update Customer' call.
- Populating 'customer_accounts.url' value in 'Create Customer', 'Get Customer' and 'Update Customer' calls Response.
- Populating 'list[n].customer_accounts.url' value in 'Retrieve Customers' call Response
### Changed
- Cleaned up logs.


## [1.2.0] - 2019-12-14
### Changed
- Minimum length of account_number of 'Customer Account' is updated from 4 to 1 character.
- Maximum length of 'nickname' of both 'Customer' and 'Funding Account' maximum length updated from 32 to 50 characters.


## [1.1.0] - 2019-05-21
### Added
- CHANGELOG.md file
### Changed
- Namespace for Swagger generated code
- Values of constants AppErrorCodes::CLIENT_KEY_INVALID , AppErrorCodes::REQUESTOR_INVALID, AppErrorCodes::REQUESTOR_TYPE_INVALID, AppErrorCodes::CHANNEL_INVALID, AppErrorCodes::PRODUCT_INVALID
- Name of 'Orbi**P**ayApiException' to 'Orbi**p**ayApiException'
- Value of User-Agent request header
### Fixed 
- Fixed README.md
